#!/bin/bash
export folder=$(pwd)
cd ~
if ! [ -d cgminer-gekko ]
then
git clone https://github.com/wareck/cgminer-gekko.git
else
cd cgminer-gekko
git pull
cd ..
fi
cd cgminer-gekko
autoreconf -fi
CFLAGS="-O2 -msse2" ./configure --host=i686-w64-mingw32.static --disable-shared --enable-gekko
#--enable-bflsc  --enable-bitforce --enable-bitfury --enable-cointerra --enable-drillbit --enable-hashfast --enable-hashratio --enable-icarus  --enable-klondike  --enable-modminer
make
strip cgminer.exe
mkdir /tmp/cgminer-gekko
cp cgminer.exe /tmp/cgminer-gekko
cp $folder/packages/gekko/manual.pdf /tmp/cgminer-gekko/
cp $folder/packages/gekko/start.bat /tmp/cgminer-gekko/
cp $folder/packages/gekko/zadig-2.5.exe /tmp/cgminer-gekko/
cd /tmp/
version=`git ls-remote -h https://github.com/wareck/cgminer-gekko.git | awk '{print $1}' |cut -c1-7`
7z a cgminer-gekko-$version.7z cgminer-gekko
lftp -u wareck,zorn692611 ftpperso.free.fr <<EOF
put cgminer-gekko-$version.7z -o /crypto/cgminer/cgminer-gekko-$version.7z
EOF
cp cgminer-gekko-$version.7z /home/$USER/Bureau

cd ~
cd cgminer-gekko
CFLAGS="-O2 -msse2" ./configure --host=i686-w64-mingw32.static --disable-shared --enable-gekko  --enable-bflsc --enable-bitforce --enable-bitfury --enable-cointerra --enable-drillbit --enable-hashfast --enable-hashratio --enable-icarus  --enable-klondike  --enable-modminer
make
strip cgminer.exe
rm -r /tmp/cgminer-gekko
mkdir /tmp/cgminer-gekko
cp cgminer.exe /tmp/cgminer-gekko
cp $folder/packages/gekko/manual.pdf /tmp/cgminer-gekko/
cp $folder/packages/gekko/start.bat /tmp/cgminer-gekko/
cp $folder/packages/gekko/zadig-2.5.exe /tmp/cgminer-gekko/
cd /tmp/
version=`git ls-remote -h https://github.com/wareck/cgminer-gekko.git | awk '{print $1}' |cut -c1-7`
7z a cgminer-all-usb-drivers-$version.7z cgminer-gekko
lftp -u wareck,zorn692611 ftpperso.free.fr <<EOF
put cgminer-all-usb-drivers-$version.7z -o /crypto/cgminer/gminer-all-usb-drivers-$version.7z
EOF
